Bug 36333 - can't build demos if mesa build with --enable-selinux
can't build demos if mesa build with --enable-selinux
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Demos
git
x86-64 (AMD64) Linux (All)
: medium blocker
Assigned To: mesa-dev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-17 19:04 UTC by Alexandre Demers
Modified: 2011-05-19 01:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
link to selinux correctly (1.14 KB, patch)
2011-05-16 07:33 UTC, Tapani Pälli
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Demers 2011-04-17 19:04:04 UTC
Here is what happen when building the demos (using drm 2.6.25, kernel 2.6.39-rc3 and mesa git, Natty beta 2 64 bit)

...
Making all in opengl
make[3]: Entering directory `/home/dema1701/projects/mesa/demos/src/egl/opengl'
  CCLD   demo1
/usr/lib/libglapi.so.0: undefined reference to `security_get_boolean_pending'
/usr/lib/libglapi.so.0: undefined reference to `is_selinux_enabled'
/usr/lib/libglapi.so.0: undefined reference to `security_get_boolean_active'
collect2: ld returned 1 exit status
make[3]: *** [demo1] Error 1
make[3]: Leaving directory `/home/dema1701/projects/mesa/demos/src/egl/opengl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/dema1701/projects/mesa/demos/src/egl'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/dema1701/projects/mesa/demos/src'
make: *** [all-recursive] Error 1

Not using the --enable-shared-glapi when compiling mesa doesn't solve the problem when compiling the demos, only postponing it. The same error appears, but instead of libglapi, it's looking in ligOpenVG. But compiling mesa without --enable-selinux does solve the problem when compiling the demos.

Is it a bug or is something wrong in my mesa compilation?
Comment 1 Tapani Pälli 2011-05-16 07:33:05 UTC
Created attachment 46767 [details] [review]
link to selinux correctly

This patch fixes the issue for me. I sent it also to mesa-dev list for review.
Comment 2 Tapani Pälli 2011-05-19 01:20:38 UTC
fixed in git, commit 2758e65f28cc68411775ec41c53f773268cddc05